// Testing Non-Modal DialogBoxes

#include "FiveWin.ch"

static oWnd
static nCount := 0

//----------------------------------------------------------------------------//

function Main()

   DEFINE WINDOW oWnd FROM 1, 1 TO 20, 60 ;
      TITLE "Testing Non-Modal Dialog Box" ;
      MENU BuildMenu()

   SET RESOURCES TO "TestNomo.dll"

   ACTIVATE WINDOW oWnd

   SET RESOURCES TO

return nil

//----------------------------------------------------------------------------//

function BuildMenu()

   local oMenu

   MENU oMenu
      MENUITEM "&Non-Modal Dialogs"
      MENU
         MENUITEM "&First..."   ACTION BuildOne()
         MENUITEM "&Second..."  ACTION BuildTwo()
         SEPARATOR
         MENUITEM "&A pedal..." ACTION TestPedal()
         MENUITEM "&Exit..." ACTION oWnd:End()
      ENDMENU
   ENDMENU

return oMenu

//----------------------------------------------------------------------------//

function BuildOne()

   local oDlg
   local nCuenta := ++nCount

   DEFINE DIALOG oDlg FROM 5, 5 TO 12, 40 TITLE "Non-Modal ONE"

   @ 1,  1 SAY "&Cuenta:" OF oDlg
   @ 1,  6 GET nCuenta OF oDlg PICTURE "9999"

   @ 3, 8 BUTTON "&Salir"    OF oDlg ACTION oDlg:End() SIZE 40, 12

   ACTIVATE DIALOG oDlg NOWAIT

return nil

//----------------------------------------------------------------------------//

function BuildTwo()

   local oDlg

   DEFINE DIALOG oDlg FROM 5, 15 TO 12, 60 TITLE "Non-Modal TWO"

   @ 3, 8 BUTTON "&Salir"    OF oDlg ACTION oDlg:End() SIZE 40, 12
          
   ACTIVATE DIALOG oDlg NOWAIT VALID MsgYesNo( OemToAnsi( " DEactivate Two ?" ) )

return nil

//----------------------------------------------------------------------------//

function TestPedal()

  local oDlg
  local cNombre := "FiveWin 1.2 para Clipper 5"

  DEFINE DIALOG oDlg NAME "Test"

  // REDEFINE GET cNombre ID 110 OF oDlg

  ACTIVATE DIALOG oDlg NOWAIT ;
     ON LEFT CLICK MsgInfo( "Click" )

return nil

//----------------------------------------------------------------------------//
